# JsDoc Reference - Ciform.Field

Class Index | File Index

## Classes

- _global_
- Ciform
- Ciform.Cipher
- Ciform.ciphers
- Ciform.ciphers.ChainEncoder
- Ciform.ciphers.CiformPacketizer
- Ciform.ciphers.Encoder
- Ciform.ciphers.RSAEncoder
- Ciform.ciphers.RSAPublicKey
- Ciform.ciphers.SHA1Encoder
- Ciform.Field
- Ciform.protocol

# Class Ciform.Field

This technical class represents an HTMLElement to be encrypted and its options.

Actually, it designates where to read the value from, possibly where to write the encoded value into, and some options / properties.

Defined in: ciform.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ciform.Field(target, options)

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _ciphertext
| input Input field : where to read the text to encode.
| output Output field : the field where to write the encoded text into.

sha1

- If == 1, indicates that this field should be SHA1-encoded before encryption.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<private> | _commit()

Class Detail
Ciform.Field(target, options)

Parameters:
{HTMLFormElement} target
  The element to encrypt.
  As an alternative, this parameter can be ignored if the input field is given in the options.
{Object} options
  (optional) Overrides the properties of this object.

Field Detail
<private> _ciphertext

{HTMLElement} input
Input field : where to read the text to encode. Must have a readable value property.

{HTMLElement} output
Output field : the field where to write the encoded text into. Must have a writeable value property. Defaults to #in.

{Integer} sha1

- If == 1, indicates that this field should be SHA1-encoded before encryption.
- If == 2, meta-data will also be prepended to the result.

DEFAULT : 0 (do not use SHA-1 at all)
Method Detail
<private> _commit()

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:49 GMT+0100 (CET)